#
# spec file for package skype4pidgin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           skype4pidgin
Version:        1.5
Release:        bp154.1.96
Summary:        Libpurple plugin for SkypeWeb API
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Instant Messenger
URL:            https://eion.robbmob.com/
Source:         https://github.com/EionRobb/skype4pidgin/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# For directory ownership.
BuildRequires:  pidgin
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

%description
This is a SkypeWeb Plugin for libpurple/Pidgin. It lets you view
and chat with all your Skype buddies from within Pidgin.

%package -n libpurple-plugin-skypeweb
Summary:        Libpurple plugin for SkypeWeb API
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple
# libpurple-plugin-skype was last used in openSUSE Leap 15.0.
Obsoletes:      libpurple-plugin-skype < %{version}
Obsoletes:      libpurple-plugin-skype-lang < %{version}

%description -n libpurple-plugin-skypeweb
This is a SkypeWeb Plugin for libpurple. It lets you view and chat
with all your Skype buddies from within Pidgin.

%package -n pidgin-plugin-skypeweb
Summary:        Pidgin plugin for SkypeWeb API
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-skypeweb = %{version}
%requires_ge    pidgin
Enhances:       pidgin
Supplements:    packageand(libpurple-plugin-skypeweb:pidgin}
# pidgin-plugin-skype was last used in openSUSE Leap 15.0.
Obsoletes:      pidgin-plugin-skype < %{version}

%description -n pidgin-plugin-skypeweb
This is a SkypeWeb Plugin for Pidgin. It lets you view and chat
with all your Skype buddies from within Pidgin.

%prep
%setup -q

%build
make %{?_smp_mflags} V=1 -C skypeweb

%install
%make_install -C skypeweb

%files -n libpurple-plugin-skypeweb
%if 0%{?suse_version} >= 1500
%license skypeweb/gpl3.txt
%else
%doc skypeweb/gpl3.txt
%endif
%doc skypeweb/README.md
%{_libdir}/purple-2/libskypeweb.so

%files -n pidgin-plugin-skypeweb
%{_datadir}/pixmaps/pidgin/protocols/*/skype.png
%{_datadir}/pixmaps/pidgin/protocols/*/skypeout.png
%{_datadir}/pixmaps/pidgin/emotes/skype/

%changelog
* Thu May 31 2018 sor.alexei@meowr.ru
- Update to version 1.5:
  * Remove the old skype4pidgin plugin from existence.
  * Add "alternative auth" support.
  * Add support for suggested contacts finding.
  * Display the number of users in the Tools->Room List window.
  * Fix "deny" friend requests.
  * Fix memory leaks.
  * Fix some rare crashes.
  * Remove the empty option from account settings.
- Move the emoticon scheme from pidgin-plugin-skype to
  pidgin-plugin-skypeweb.
- Remove the libpurple-plugin-skype, libpurple-plugin-skype-lang,
  pidgin-plugin-skype packages.
- Remove skype4pidgin-libdir.patch, skype4pidgin-icon-conflict.patch:
  useless now.
* Thu May 31 2018 fezhang@suse.com
- Add BuildRequires: dbus-1-glib-devel.
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 1.4 (changes since 1.2.2):
  * Skype4Business and Bot support.
  * libpurple 3.0 support.
  * Switch to the libpurple3 HTTP library - reduces CPU and disc
    load.
  * Receive contacts.
  * Updated status icons - Users that would previously show as
    "Away" will now show as "Idle".
  * Fix buddy authorisation requests and responses.
  * Auto reconnects when there's an error, so you shouldn't have
    to press the Re-Enable button.
  * Call display improvements.
  * Tooltips display for people with special characters (&, ', <, >)
    in their user info.
  * Can remove oneself from the buddy list.
  * Fix tiny-text being sent when copy-pasting into Pidgin.
  * File transfer and image transfer improvements.
  * Allow clearing out one's "Mood" message, so it won't show
    "I'm not here right now" when one is actually Online.
  * Better error messages when a message failed to send.
  * Fix add/remove/block/unblock buddies.
  * Fix some users unable to login.
* Sun Oct 16 2016 sor.alexei@meowr.ru
- Update to version 1.2.2:
  * Fix Logins for non-Outlook usernames (i.e. if you don't have an
    "@" in your username).
  * Don't remember/use the refresh-token for auth if the user have
    marked the account to always require the password – this will
    make sure the user can't just use any password to login.
* Thu Aug 11 2016 sor.alexei@meowr.ru
- Update to version 1.2.1:
  * Fix Outlook (email address) logins.
  * Faster logins and less "registration token expired"
    disconnects.
  * Fix the "Search for friends..." box (properly this time).
  * Allow setting 'mood' messages (properly this time).
* Sat Jul 30 2016 sor.alexei@meowr.ru
- Update to version 1.2:
  * Add support for libpurple 2.11+.
  * Fix the "Search for friends…" box.
  * Allow setting 'mood' messages.
* Thu Jan 14 2016 sor.alexei@meowr.ru
- Update to 1.1 (changes since 0.0.1.rev708):
  * Add option to disable display of video capability status.
  * Add option to disable updates of skype status message.
  * Add skypeweb plugin sources.
- Add libpurple-plugin-skypeweb, pidgin-plugin-skypeweb packages
  with skypeweb plugin.
- Add following build dependencies for skypeweb:
  pkgconfig(json-glib-1.0), pkgconfig(zlib).
- Add skype4pidgin-icon-conflict.patch: resolve icon naming
  conflict between pidgin-plugin-skype and pidgin-plugin-skypeweb.
- Require current version of Pidgin via macro for
  pidgin-plugin-skype{,web}: Pidgin does not always provide forward
  ABI compatibility.
- libpurple-plugin-skype now recommends skype itself.
- Some spec cleanup.
* Thu Feb  5 2015 dimstar@opensuse.org
- Update to SVN rev 724 (boo#916210):
  + 3 years worth of fixes and improvements.
* Fri Jan 13 2012 vuntz@opensuse.org
- Cleanup for inclusion in Factory:
  + Create libpurple-plugin-skype and pidgin-plugin-skype
    subpackages, to follow the standard libpurple/pidgin plugin
    package names. Use appropriate Provides/Obsoletes for
    skype4pidgin name.
  + Add explicit dbus-1-devel and glib2-devel BuildRequires.
  + Remove unneeded pkgconfig(gstreamer-0.10) BuildRequires.
  + Add pidgin BuildRequires for directory ownership.
  + Replace Makefile.diff with simpler skype4pidgin-libdir.patch.
  + Fix license tag to be GPL-3.0+ instead of GPL-3.0.
  + Improve summaries and descriptions.
  + Manually install translations and create a lang subpackage.
* Wed Nov 30 2011 alinm.elena@gmail.com
- source checkout out from this svn
  http://skype4pidgin.googlecode.com/svn/trunk
* Sat Oct 15 2011 alinm.elena@gmail.com
- initial commit-
